UbixOS V2 2.0

Data Fields
hostRingEntry Struct Reference

`#include <lnc.h>`

Collaboration diagram for hostRingEntry:

## Data Fields
uint32_t | addr
uint16_t | bcnt
uint8_t | md [6]
uint32_t | reserved

## Detailed Description

Definition at line 84 of file lnc.h.

## Field Documentation

## ◆ addr

uint32_t hostRingEntry::addr

Definition at line 85 of file lnc.h.

Referenced by lncAttach().

## ◆ bcnt

uint16_t hostRingEntry::bcnt

Definition at line 86 of file lnc.h.

Referenced by lnc_sendPacket(), and lncAttach().

## ◆ md

uint8_t hostRingEntry::md[6]

Definition at line 87 of file lnc.h.

Referenced by lnc_driverOwnsRX(), lnc_driverOwnsTX(), lnc_rxINT(), lnc_sendPacket(), lnc_thread(), and lncAttach().

## ◆ reserved

uint32_t hostRingEntry::reserved

Definition at line 88 of file lnc.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/pci/lnc.h